import 'package:flyinsono/js_platform/methods.dart';
import 'package:flyinsono/views/desktop/user_setting/controller.dart';
import 'package:get/get.dart';
import 'package:get/get_core/src/get_main.dart';

import 'base.dart';

class UpdateLocalUSSettingUrlHandler extends MethodHandlerBase {
  UpdateLocalUSSettingUrlHandler()
      : super(TargetMethodName.UpdateLocalUSSettingUrl);
  @override
  void execute(List<String> args) {
    var url = args[0];
    final controller = Get.find<UserSettingController>();
    controller.state.vBoxSettingPageUrl = url;
    controller.onVBoxSettingPageUrlChange.emit(this, url);
  }
}
